git.lirion.de

Of git, get, and gud

aboutsummaryrefslogtreecommitdiffstats
path: root/erase-broken-modules/wiper
diff options
context:
space:
mode:
authorHarald Pfeiffer <coding _ lirion.de> 2022-03-24 17:37:10 +0100
committerHarald Pfeiffer <coding _ lirion.de> 2022-03-24 17:37:10 +0100
commitc58a64be77d4fe0640616851af294300d60233c4 (patch)
treeca6b38f3dae6a1a599076ae966f4bbb0a4f0fe3c /erase-broken-modules/wiper
downloadmikrotik-fixes-c58a64be77d4fe0640616851af294300d60233c4.tar.bz2
InComm, +wiper
Diffstat (limited to 'erase-broken-modules/wiper')
-rwxr-xr-xerase-broken-modules/wiper9
1 files changed, 9 insertions, 0 deletions
diff --git a/erase-broken-modules/wiper b/erase-broken-modules/wiper
new file mode 100755
index 0000000..5c8a7f5
--- /dev/null
+++ b/erase-broken-modules/wiper
@@ -0,0 +1,9 @@
+#!/usr/bin/env sh
+
+MIKROTIK_HOSTNAME="banana"
+NPK_VERSION="6.49.5"
+ARCH="arm"
+
+scp wiper.rsc "${MIKROTIK_HOSTNAME}:wiper.rsc"||exit 1
+scp "routeros-${ARCH}-${NPK_VERSION}.npk" "${MIKROTIK_HOSTNAME}:routeros-${ARCH}-${NPK_VERSION}.npk"||exit 2
+ssh "$MIKROTIK_HOSTNAME" "/import wiper.rsc"